package com.xhkjedu.sapi.mapper.notice;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.notice.TNotice;
import com.xhkjedu.sapi.model.notice.TNoticeClass;
import com.xhkjedu.sapi.model.notice.TNoticeUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface NoticeClassMapper extends TkMapper<TNoticeClass> {
    /**
     * 批量添加
     * @Param [notice]
     * @Author ywx
     * @Date 2020/6/13 10:01
     * @return java.lang.Integer
     **/
    Integer batchSave(@Param("notice") TNotice notice);

    /**
     * 删除通知对象
     * @Param [noticeid]
     * @Author ywx
     * @Date 2020/6/13 10:00
     * @return java.lang.Integer
     **/
    Integer deleteByNoticeId(@Param("noticeid") Integer noticeid);

    //获取所有需要处理的班级通知
    List<TNoticeClass> listAll();
    //通知
    TNoticeUser getNoticeClassInfo(@Param("studentid")Integer studentid);

    //获取通知班级学生
    List<TNoticeUser> listClassStudent(@Param("classid") Integer classid);
}
